Package org.apache.solr.client.solrj.impl

# Interface SolrClientCustomizer<T extends SolrClient>

Type Parameters:
  `T` - type of SolrClient this customizer targets

public interface SolrClientCustomizer<T extends SolrClient>
A config hook for post-configuration of a SolrClient by its builder. It is not supported by all builders.

Implementations can be specified via system property in some client builders.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Method Summary

Modifier and Type
Method
Description
`void`
`setup(T client)`

## Method Details

### setup

void setup(T client)